Package org.apache.wiki.tags

## Class WikiTagBase

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

Direct Known Subclasses:
  `AuthorTag`, `BaseURLTag`, `BreadcrumbsTag`, `CalendarTag`, `CheckLockTag`, `CheckRequestContextTag`, `CheckVersionTag`, `ContentEncodingTag`, `ContentTag`, `CsrfProtectionTag`, `FeedDiscoveryTag`, `HasAttachmentsTag`, `IfNoSearchResultsTag`, `IncludeResourcesTag`, `IncludeTag`, `InsertDiffTag`, `InsertPageTag`, `MessagesTag`, `NextVersionTag`, `NoSuchPageTag`, `PageDateTag`, `PageNameTag`, `PageSizeTag`, `PageTypeTag`, `PageVersionTag`, `ParentPageNameTag`, `PermissionTag`, `PreviousVersionTag`, `RequestResourceTag`, `RSSImageLinkTag`, `SearchResultsSizeTag`, `SearchResultsTag`, `SetPaginationTag`, `SpamFilterInputsTag`, `TabTag`, `TemplateDirTag`, `UserCheckTag`, `UserNameTag`, `UserProfileTag`, `VariableTag`, `WikiLinkTag`

    public abstract class WikiTagBase
    extends javax.servlet.jsp.tagext.TagSupport
    implements javax.servlet.jsp.tagext.TryCatchFinally

Base class for JSPWiki tags. You do not necessarily have to derive from this class, since this does some initialization.

This tag is only useful if you're having an "empty" tag, with no body content.

Since:
  2.0
See Also:
  Serialized Form

### Field Summary

Fields
`protected Context` `m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`WikiTagBase()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `doCatch​(java.lang.Throwable th)`
`int` `doEndTag()`
`void` `doFinally()`
`int` `doStartTag()`
`abstract int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setId​(java.lang.String id)`
`void` `setPageContext​(javax.servlet.jsp.PageContext arg0)` This method calls the parent setPageContext() but it also provides a way for a tag to initialize itself before any of the setXXX() methods are called.

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_wikiContext

    protected Context m_wikiContext

### Constructor Detail

#### WikiTagBase

    public WikiTagBase()

### Method Detail

#### setPageContext

    public void setPageContext​(javax.servlet.jsp.PageContext arg0)

This method calls the parent setPageContext() but it also provides a way for a tag to initialize itself before any of the setXXX() methods are called.

Specified by:
  `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `setPageContext` in class `javax.servlet.jsp.tagext.TagSupport`

#### initTag

    public void initTag()

This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Since:
  2.3.92

#### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

Specified by:
  `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
Throws:
  `javax.servlet.jsp.JspException`

#### doWikiStartTag

    public abstract int doWikiStartTag()
                                throws java.lang.Exception

This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Throws:
  `java.lang.Exception`

#### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
Throws:
  `javax.servlet.jsp.JspException`

#### doCatch

    public void doCatch​(java.lang.Throwable th)
                 throws java.lang.Throwable

Specified by:
  `doCatch` in interface `javax.servlet.jsp.tagext.TryCatchFinally`
Throws:
  `java.lang.Throwable`

#### doFinally

    public void doFinally()

Specified by:
  `doFinally` in interface `javax.servlet.jsp.tagext.TryCatchFinally`

#### setId

    public void setId​(java.lang.String id)

Overrides:
  `setId` in class `javax.servlet.jsp.tagext.TagSupport`